<?php
 class Famille
 { // -- Les propriétés --
  private $_nom        ;
  private $_nbpers     ;
  private $_revenus    ;
  private $_r_par_pers ;
  // -- Constructeur --
  function __construct($n,$r,$nbp) {
   try {
     if (empty($n)) throw new Exception('Pas de création:Nom vide');
     $this->_nom        = $n     ;
     $this->_revenus    = $r     ;
     $this->_nbpers     = $nbp   ;
     $this->_r_par_pers = $r/$nbp;     
     echo "Famille ".$this->_nom.PHP_EOL;
     echo "   Nombre de personnes : ".$this->_nbpers.PHP_EOL ;
     echo "   Revenus : ".$this->_revenus.PHP_EOL            ;
     echo "   Revenus/personne : ".$this->_r_par_pers.PHP_EOL;
   }
   catch (Exception $e) {
     echo $e->getMessage().PHP_EOL;
   }
   finally {
     echo "Fin de création pour la famille : ".$n.PHP_EOL;
   }

  }
 }
 $UneFamille1 = new Famille("dupont",4000,2);
 $UneFamille2 = new Famille("martin",2000,0);
?>